# Create a payment run Creates a payment run. You can create a payment run to be executed immediately after it is created, or a scheduled payment run to be executed in future. To filter the payments to be collected for a payment run, you can use either of the following methods but not both: - Use the accountId, batch, billCycleDay, currency, paymentGatewayId, and billingRunId fields to define the billing documents to be collected. - Use the data field to specify the records of accounts and billing documents to be collected, in a more flexible manner. See Create custom payment runs through Zuora REST API for more information. If no filter criteria are specified in the request body, the payment run collects payments for all accounts. Endpoint: POST /v1/payment-runs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountId` (string) The ID of the customer account associated with the payment run. This field conflicts with each of the batch, billCycleDay, currency, paymentGatewayId, and billingRunId fields. If there are such conflicts, an error occurs and an error message is returned. Example: "8ad09be48db5aba7018db604776d4854" - `applyCreditBalance` (boolean) If applyCreditBalance is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices. - `autoApplyCreditMemo` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply a posted credit memo to one or more receivables in the payment run. - `autoApplyUnappliedPayment` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply unapplied payments to one or more receivables in the payment run. - `batch` (string) The alias name given to a batch. The batch name is a string of 50 characters or less. This field conflicts with the accountId field. If they are both specified in the request body, an error occurs and an error message is returned. Note: By default, you have 50 configurable account batches. To increase the limit to 200 batches, you must have the Performance Booster Elite package. - `billCycleDay` (string) The billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. The value must be equal to or less then 31, and 31 is mean the EOM. This field conflicts with the accountId field. If they are both specified in the request body, an error occurs and an error message is returned. - `billingRunId` (string) The ID of a bill run. This field conflicts with the accountId field. If they are both specified in the request body, an error occurs and an error message is returned. - `collectPayment` (boolean) Whether to process electronic payments during the execution of payment runs. If the Payment user permission "Process Electronic Payment" is disabled, this field will be ignored. - `consolidatedPayment` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process a single payment for all receivables that are due on an account. - `currency` (string) A currency defined in the web-based UI administrative settings. This field conflicts with the accountId field. If they are both specified in the request body, an error occurs and an error message is returned. - `data` (array) The array of data for specifying records of accounts and invoices/debit memos that will be collected and processed by a payment run. When you specify the data array, ensure that at least one record is passed in. If an empty array is specified, accountId, batch, billCycleDay, currency, paymentGatewayId, and billingRunId fields will be used to define the billing documents to be collected. If the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature is enabled, you can filter the accounts by currency based on the customer's billing document. A maximum of 50K records are allowed to be passed into the data array. Here is an example: { "accountId": "60c81b5bc51649e8a7d1b48303194790", "documentId": "2c9081a03c63c94c013c6894af5602dd", "documentType": "Invoice", "amount": 80, "paymentMethodId": "2c9081a03c6d7b51013c6d7e4ada0a1c", "paymentGatewayId": "d2abe8342e1811ea80e774b9452e17ea", "comment": "Payment Comments", "customField1__c": "cf_value1", "customField2__c": "cf_value2" } Here is another example for a standalone payment: { "accountId": "account2", "amount": 100, "currency": "GBP", "standalone": true } - `data.accountId` (string) A valid account ID associated with the payment run. If consolidatedPayment is set to true, this field is used in processing a single payment for invoices/debit memos due on an account. - `data.accountNumber` (string) The number of the customer account associated with the payment run, such as A00000001. You can specify either accountNumber or accountId for a customer account, but not both of them. If consolidatedPayment is set to true, this field is used in processing a single payment for invoices, debit memos, and standalone payments due on an account. - `data.amount` (number) The amount to be collected for the specified invoice/debit memo. amount must be a positive numeric value no more than the balance of the specified invoice/debit memo. This field is only available when documentId is specified. If amount is not specified, whole balance of the invoice/debit memo is collected. - `data.comment` (string) Additional comments. - `data.currency` (string) Note: This field is only available if support for standalone payments is enabled. The currency of the standalone payment. Specify this field only if the standalone field is true. The currency of the standalone payment can be different from the payment currency defined in the customer account settings. - `data.dataItems` (object) The array of data for each Invoice if you want to collect payment for particular items through one payment method. The grouped items are sent as one data record. This field is available if the [Invoice Item Settlement](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Adjust_invoice_amounts/Invoice_Settlement/Invoice_Item_Settlement/Overview_of_Invoice_Item_Settlement) permission is enabled. Here is another example for a data item: { "accountId": "60c81b5bc51649e8a7d1b48303194790", "documentId": "2c9081a03c63c94c013c6894af5602dd", "documentType": "Invoice", "dataItems": [ { "documentItemId": "8a92ab0e8ab14c53018ac746961c10d1", "amount": 40 }, { "taxItemId": "8a92ab0e8ab14c53018ac746961c10d2", "amount": 40 } ], "amount": 80, "paymentMethodId": "2c9081a03c6d7b51013c6d7e4ada0a1c", "paymentGatewayId": "d2abe8342e1811ea80e774b9452e17ea", "comment": "Payment Comments", "customField1__c": "cf_value1", "customField2__c": "cf_value2" }, - `data.dataItems.amount` (number) The total amount to be collected for the specified invoice/debit memo item. The sum of the item amount should be equal to document amount. - `data.dataItems.documentItemId` (string) The ID of a billing document of the invoice item or debit memo item. - `data.dataItems.taxItemId` (string) The tax ID of the invoice item or debit memo item. - `data.documentId` (string) The ID of a billing document associated with the payment run. documentId must be valid and match with documentType. You must either specify both documentId and documentType, or specify neither of them. If neither of documentType and documentId is specified, all invoices/debit memos with open balance of the account are collected. - `data.documentNumber` (string) The number of a billing document associated with the payment run. documentNumber must be valid and match with documentType. You must either specify both documentNumber and documentType, or specify neither of them. If neither of documentType and documentNumber is specified, all invoices/debit memos with open balance of the account are collected. - `data.documentType` (string) The type of a billing document associated with the payment run. The value can be Invoice or DebitMemo, but DebitMemo is only supported if the Invoice Settlement feature is enabled. You must either specify both documentType and documentId, or specify neither of them. If neither of documentType and documentId is specified, all invoices/debit memos with open balance of the account are collected. Enum: "Invoice", "DebitMemo" - `data.paymentGatewayId` (string) The ID of the payment gateway for collecting invoices/debit memos. The specified payment gateway must be valid and active. If Payment Gateway Routing is enabled: - If this field is not specified, gateway routing rules will be invoked. - If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: - If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. - If this field is specified, the specified gateway will be used to process the payment. If consolidatedPayment is set to true, this field is used in processing a single payment for invoices/debit memos due on an account. - `data.paymentMethodId` (string) The ID of the payment method for collecting invoices/debit memos. The specified payment method must be a valid non-system payment method. If it is not specified, the default payment method of the account is used regardless of the autoPay value of the account. If processPaymentWithClosedPM is set to false, the payment method cannot be closed. If the payment retry rules are enabled, the payment method must meet the rules. If consolidatedPayment is set to true, this field is used in processing a single payment for invoices/debit memos due on an account. - `data.standalone` (boolean) Note: This field is only available if support for standalone payments is enabled. Specify true to indicate that this is a standalone payment that will be created and processed in Zuora through Zuora gateway integration but will be settled outside of Zuora. When standalone is set to true: - accountId or accountNumber is required. - amount is required. - The amount will not be summed up into the account balance and key metrics regardless of the payment currency. - No settlement data will be created. - Either the applied amount or the unapplied amount of the payment is zero. - The standalone payment cannot be applied, unapplied, or transferred. - `organizationLabels` (array) The organizations that the run is created for. For each item in the array, either the organizationId or the organizationName field is required. This field is only required when you have already turned on Multi-Org feature. - `organizationLabels.organizationId` (string) The organization ID. - `organizationLabels.organizationName` (string) The organization name. - `paymentGatewayId` (string) The ID of the gateway instance that processes the payment. This field conflicts with the accountId field. If they are both specified in the request body, an error occurs and an error message is returned. - `processPaymentWithClosedPM` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process payments even if the default payment method is closed. - `runDate` (string) The date and time when the scheduled payment run is to be executed, in yyyy-mm-dd hh:mm:ss format. The backend will ignore mintues and seconds in the field value. For example, if you specify 2017-03-01 11:30:37 for this value, this payment run will be run at 2017-03-01 11:00:00. You must specify either the runDate field or the targetDate field in the request body. If you specify the runDate field, the scheduced payment run is to be executed on the run date. If you specify the targetDate field, the payment run is executed immediately after it is created. - `targetDate` (string) The target date used to determine which receivables to be paid in the payment run. The payments are collected for all receivables with the due date no later than the target date. You must specify either the runDate field or the targetDate field in the request body. If you specify the runDate field, the scheduced payment run is to be executed on the run date. If you specify the targetDate field, the payment run is executed immediately after it is created. Example: "2024-07-24" - `useCustomPaymentMethods` (boolean) Whether to enable payment profiles for a payment run. ## Response 200 fields (application/json): - `accountId` (string) The ID of the customer account associated with the payment run. - `applyCreditBalance` (boolean) Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. Whether to apply credit balances in the payment run. This field is only available when you have Invoice Settlement feature disabled. - `autoApplyCreditMemo` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply a posted credit memo to one or more receivables in the payment run. - `autoApplyUnappliedPayment` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply unapplied payments to one or more receivables in the payment run. - `batch` (string) The alias name given to a batch. Example: "Batch1" - `billCycleDay` (string) The billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. Example: 1 - `billingRunId` (string) The ID of the bill run. - `collectPayment` (boolean) Whether to process electronic payments during the execution of payment runs. - `completedOn` (string,null) The date and time when the payment run is completed, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 11:39:58. - `consolidatedPayment` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process a single payment for all receivables that are due on an account. - `createdById` (string) The ID of the Zuora user who created the payment run. - `createdDate` (string) The date and time when the payment run was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `currency` (string) A currency defined in the web-based UI administrative settings. Example: "USD" - `executedOn` (string,null) The date and time when the payment run is executed, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 11:30:37. - `id` (string) The ID of the payment run. - `number` (string) The identification number of the payment run. - `organizationLabels` (array) The organization(s) that the object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `organizationLabels.organizationId` (string) The organization ID. - `organizationLabels.organizationName` (string) The organization name. - `paymentGatewayId` (string,null) The ID of the gateway instance that processes the payment. - `processPaymentWithClosedPM` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process payments even if the default payment method is closed. - `runDate` (string) The date and time when the scheduled payment run is to be executed for collecting payments. - `status` (string) The status of the created payment run. Enum: "Pending", "Processing", "Completed", "Error", "Canceled" - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) The target date used to determine which receivables to be collected in the payment run. - `updatedById` (string) The ID of the Zuora user who last updated the payment run. - `updatedDate` (string) The date and time when the payment run was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `useCustomPaymentMethods` (boolean) Whether to enable payment profiles for a payment run.